> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/resource-definitions/user.md).

# User

## Base definition

```javascript
{
    "kind": "user",
    "name": string,
    "fullName": string,
    "contactEmail": string,
    "orcid": string
}
```

## Documentation

| Fields       | Description                                                                                                                             |
| ------------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| kind         | <p><strong>string</strong></p><p>The resource type. Will always be "user".</p>                                                          |
| name         | <p><strong>string</strong></p><p>The account name (username) of the user. Will only contain alphanumeric and underscore characters.</p> |
| fullName     | <p><strong>string</strong></p><p>The user's full name, as provided by that user</p>                                                     |
| contactEmail | <p><strong>string</strong><br>The email address that the user has specified as their primary contact email.</p>                         |
| orcid        | <p><strong>string</strong><br>The <a href="https://orcid.org">ORCID</a> of the user, if available.</p>                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/resource-definitions/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
